Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Static Public Member Functions | List of all members
eZDateUtils Class Reference

The class eZDateUtils does. More...

## Static Public Member Functions
static | rfc1123Date ( $timestamp=false)
static | rfc850Date ( $timestamp=false)
static | textToDate ( $dateText)

## Detailed Description

The class eZDateUtils does.

Definition at line 17 of file ezdateutils.php.

## Member Function Documentation

## ◆ rfc1123Date()

static eZDateUtils::rfc1123Date | ( |  | $timestamp = `false` | ) |
| static

Return a textual representation of the date according to the RFC 1123 standard.

rfc1123-date = wkday "," SP date1 SP time SP "GMT" date1 = 2DIGIT SP month SP 4DIGIT ; day month year (e.g., 02 Jun 1982) time = 2DIGIT ":" 2DIGIT ":" 2DIGIT ; 00:00:00 - 23:59:59 wkday = "Mon" | "Tue" | "Wed" | "Thu" | "Fri" | "Sat" | "Sun" month = "Jan" | "Feb" | "Mar" | "Apr" | "May" | "Jun" | "Jul" | "Aug" | "Sep" | "Oct" | "Nov" | "Dec"

Definition at line 34 of file ezdateutils.php.

Referenced by eZContentObjectVersion\serialize(), eZContentObject\serialize(), eZDateType\serializeContentObjectAttribute(), eZDateTimeType\serializeContentObjectAttribute(), and eZTimeType\serializeContentObjectAttribute().

## ◆ rfc850Date()

static eZDateUtils::rfc850Date | ( |  | $timestamp = `false` | ) |
| static

Return a textual representation of the date according to the RFC 850 standard.

rfc850-date = weekday "," SP date2 SP time SP "GMT" date2 = 2DIGIT "-" month "-" 2DIGIT ; day-month-year (e.g., 02-Jun-82) time = 2DIGIT ":" 2DIGIT ":" 2DIGIT ; 00:00:00 - 23:59:59 wkday = "Mon" | "Tue" | "Wed" | "Thu" | "Fri" | "Sat" | "Sun" weekday = "Monday" | "Tuesday" | "Wednesday" | "Thursday" | "Friday" | "Saturday" | "Sunday" month = "Jan" | "Feb" | "Mar" | "Apr" | "May" | "Jun" | "Jul" | "Aug" | "Sep" | "Oct" | "Nov" | "Dec"

Definition at line 68 of file ezdateutils.php.

## ◆ textToDate()

static eZDateUtils::textToDate | ( |  | $dateText | ) |
| static

Parses the date $dateText which is in text format and returns a timestamp which represents that date.

Definition at line 88 of file ezdateutils.php.

Referenced by eZContentObjectVersion\unserialize(), eZDateType\unserializeContentObjectAttribute(), eZDateTimeType\unserializeContentObjectAttribute(), and eZTimeType\unserializeContentObjectAttribute().

The documentation for this class was generated from the following file:

- ezdateutils.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.